package com.ycwl.basic.model.pc.order.resp;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author：longbinbin
 * @Date：2024/12/3 14:07
 */
@Data
@ApiModel("订单购买的内容（订单明细）")
public class OrderItemVO {

    private Long id;
    /**
     * 订单id
     */
    @ApiModelProperty("订单id")
    private Long orderId;
    /**
     * 商品类型，0其他，1成片，2原片，3模板成片
     */
    @ApiModelProperty("商品类型，0其他，1成片，2原片，3模板成片")
    private Integer goodsType;
    /**
     * 商品ID，goods_type=1关联video.id，=2关联source.id，=3关联template.id
     */
    @ApiModelProperty("商品ID，goods_type=1关联video.id，=2关联source.id，=3关联template.id")
    private Long goodsId;
}
