package com.ycwl.basic.model.pc.source.req;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ycwl.basic.model.common.BaseQueryParameterReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/02 11:29
 * 视频源
 */
@Data
@ApiModel(value = "视频源查询对象")
public class SourceReqQuery extends BaseQueryParameterReq {
    @TableId
    private Long id;
    /**
     * 景区id
     */
    @ApiModelProperty("景区id")
    private Long scenicId;
    /**
     * 来源设备id
     */
    @ApiModelProperty("来源设备id")
    private Long deviceId;
    /**
     * 所属用户
     */
    @ApiModelProperty("所属用户")
    private Long memberId;
    /**
     * 文件存储地址
     */
    @ApiModelProperty("文件存储地址")
    private String url;
    private Date startTime;
    private Date endTime;
}
