package com.ycwl.basic.controller.mobile;

import com.ycwl.basic.utils.ApiResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：longbinbin
 * @Date：2024/12/4 16:54
 */
@RestController
@RequestMapping("/api/mobile/member/v1")
@Api(tags = "用户相关接口")
public class AppMemberController {

    @PostMapping("/login")
    public ApiResponse login() {
        //TODO 登录逻辑
        return ApiResponse.success("");
    }

    @PostMapping("/register")
    public ApiResponse register() {
        //TODO 注册逻辑
        return ApiResponse.success("");
    }

    @GetMapping("/getUserInfo")
    public ApiResponse getUserInfo() {
        //TODO 获取用户信息逻辑
        return ApiResponse.success("");
    }

    @ApiOperation("是否首次获取视频")
    @GetMapping("/isFirstObtainVideo")
    public ApiResponse isFirstTimeObtainingVideo() {
        //TODO 判断是否首次获取视频逻辑
        return ApiResponse.success("");
    }
}
