package com.ycwl.basic.exception;

import com.ycwl.basic.enums.AppStatesCodeEnum;
import lombok.Data;

/**
 * @author songminsgong
 * @since 2022-11-23
 */
@Data
public class AppException extends RuntimeException {

    private Integer code;
    private String msg;

    public AppException(Integer code, String message) {
        super(message);
        this.code = code;
        this.msg = message;
    }

    public AppException(AppStatesCodeEnum mobileCodeEnum) {
        super(mobileCodeEnum.getMessage());
        this.code = mobileCodeEnum.getCode();
        this.msg = mobileCodeEnum.getMessage();
    }
}
